Subject: Re: (radius) Vendor Specific Attributes

From: Alan DeKok <[email-masked]>
Date: Tue, 01 Dec 1998 10:41:08 -0500

"Varghese, Joe" <[email-masked]> wrote:
> Our project needs to use attributes that are not defined in the Radius
> specification for authentication, and apparantly the correct place for this
> is under vendor-specific attributes.

  Yes.
 
> However, I'm confused about *how* to place them here and still conform to
> the specification. Namely,
> 
> * For vendor-id, the RFC says to have the high-order byte be 0 and the low
> order 3 bytes be the SMI code for the vendor. I looked at the Assigned
> Numbers RFC, and the code with the highest value is less than 1100. Does
> this mean you take the binary of the code value and pad the left with zeros?

  Take the SMI code, and write it as an integer in network byte order.
As long as it's less than 0x00ffffff, you'll satisfy the RFC requirements.
 
> *My understanding is that the vendor-id code is used only to make your
> product/application be general purpose ... so, if our Radius client/server
> is running in a controlled environment, this code is not that important. Is
> this correct?

  Probably.  For situations where you don't have an assigned SMI code,
it's probably better to use '0', which is reserved.
 
> * Surprisingly, I didn't see a code for Lucent Technologies. Did I miss it?
> I made a request for a code, but was wondering if I did the right thing or
> not ...

  ftp://ftp.isi.edu/in-notes/iana/assignments/enterprise-numbers

    1751  Lucent Technologies  Richard Bantel [email-masked]

  Alan DeKok.
-
To unsubscribe, email [email-masked]' with
'unsubscribe ietf-radius' in the body of the message.